Bug 37889 - Support local printers in thinclient scenarios out of the box
Support local printers in thinclient scenarios out of the box
Status: CLOSED FIXED
Product: Univention Corporate Client (UCC)
Classification: Unclassified
Component: Hardware and device support
UCC 2.0
Other Linux
: P5 enhancement
: UCC 2.1
Assigned To: Felix Botner
Erik Damrose
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2015-02-26 14:23 CET by Michael Grandjean
Modified: 2015-08-07 15:48 CEST (History)
2 users (show)

See Also:
What kind of report is it?: ---
What type of bug is this?: ---
Who will be affected by this bug?: ---
How will those affected feel about the bug?: ---
User Pain:
Enterprise Customer affected?:
School Customer affected?:
ISV affected?:
Ticket number:
Bug group (optional): Roadmap discussion (moved)
Max CVSS v3 score:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Michael Grandjean univentionstaff 2015-02-26 14:23:23 CET
We should consider a plug&play solution for printing to local printers, at least in UCC thinclient scenarios (assuming proper preparations on the server side).

For example, if we connect a USB printer to an UCC thinclient, an udev rule could configure automatically a cups queue for this device as RAW printer.
The Citrix Receiver will then recognize this cups queue and map it as a printer into the Citrix XenApp session. I'm not sure about RDP sessions, but there should be a similar mechanism.

The DeviceURI for USB cups queues are put together like this:
> usb://<manufacturer>/<model>?serial=<number>
Of course the DeviceURI needs to be unique per device and an automatic mechanism therefore needs to dynamically read these information from the hardware to be able to create the correct cups queue.

In UCC / Ubuntu, there is already a package called "system-config-printer-udev" available, which automatically detects a printer and configures a cups queue, but relies on PPD files. If the matching PPD file is not present, the automatic creation of the cups queue fails. The PPD files are not needed in this scenario and would only take up valuable disk space. But maybe it's possible to fork this package / mechanism and configure a RAW printer instead of one with a PPD file.
Comment 1 Felix Botner univentionstaff 2015-07-13 13:31:24 CEST
Added univention-ucc-usb-raw-printer.

 * a new udev rule 70-ucc-raw-printers.rules calls 
   "univention-uev-usb-raw-printer" upon adding/removing usb printers
 * univention-uev-usb-raw-printer adds/removes the local usb printer in cups

 - after plugging in a usb printer:
 -> lpstat  -a
    HP_Deskjet_6940_series accepting requests since Fr ...
 - after removing the usb printer
 -> lpstat  -a
    lpstat: No destinations added.

The XENAPP Client Printer Redirection did not work for me though. We should check this with the new citrix test environment again.
Comment 2 Erik Damrose univentionstaff 2015-07-15 13:45:41 CEST
please test again with the test environment
Comment 3 Erik Damrose univentionstaff 2015-07-17 12:55:12 CEST
Worked in HDX tests
Comment 4 Erik Damrose univentionstaff 2015-07-17 12:56:56 CEST
OK: package univention-ucc-usb-raw-printer.
OK: changelog
->Verified
Comment 5 Erik Damrose univentionstaff 2015-08-07 15:48:14 CEST
UCC 2.1 has been released. If this error occurs again, please use "Clone This Bug".